SDL_SetRenderDrawBlendMode(3)

NAME
SDL_SetRenderDrawBlendMode - Set the blend mode used for drawing operations (Fill and Line).

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetRenderDrawBlendMode(SDL_Renderer *renderer, SDL_BlendMode blendMode);

DESCRIPTION
If the blend mode is not supported, the closest supported mode is chosen.

FUNCTION PARAMETERS

renderer
    the rendering context.

blendMode
    the SDL_BlendMode to use for blending.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderDrawBlendMode(3)